All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap.sasmdx
Class ResultSetMetadata

    com.sas.storage.olap.sasmdx.ResultSetMetadata

All Implemented Interfaces:
  ResultSetMetadataInterface

    @SASScope(value="ALL")
    public class ResultSetMetadata

implements ResultSetMetadataInterface

Contains the client side implementation for com.sas.storage.olap.ResultSetMetadataInterface. This implementation uses the IOM/OLAP interfaces provided by the SAS OLAP server.

Method Summary
`AxisInterface[]` | `getAxes(int index, int count)` Get the axes beginning at start index upto count for this resultset
`AxisInterface` | `getAxis(int index)` Returns the axis specified at the given index in the resultset.
`TupleElementInterface[]` | `getElements(int axisNumber, int tupleCoordinate, int index, int count)` Convenience method to get the tuple elements for a tuplecoordinate on an axis
`ResultSetInterface` | `getResultSet()` Returns the ResultSet that is defined by this metadata.
`TupleInterface[]` | `getTuples(int axisNumber, int index, int count)` Convenience method to get the tuples for the given axis

Method Detail

### getResultSet

    public ResultSetInterface getResultSet()
                                    throws OLAPException

  Description copied from interface: `ResultSetMetadataInterface`
  Returns the ResultSet that is defined by this metadata.

  Specified by:
    `getResultSet` in interface `ResultSetMetadataInterface`
  Returns:
    The ResultSet that is defined by this metadata.
  Throws:
    `OLAPException` - if a database error occurs

### getAxis

    public AxisInterface getAxis(int index)
                          throws OLAPException

  Description copied from interface: `ResultSetMetadataInterface`
  Returns the axis specified at the given index in the resultset. The index is zero based beginning at `AxisInterface.COLUMNS_AXIS`COLUMNS_AXIS axis, followed by `AxisInterface.ROWS_AXIS`ROWS_AXIS, then PAGES_AXIS`AxisInterface.PAGES_AXIS`, etc.

  Specified by:
    `getAxis` in interface `ResultSetMetadataInterface`
  Parameters:
    `index` - zero based index or axis number of the axis
  Returns:
    AxisInterface the axis at the given index
  Throws:
    `OLAPException`

### getAxes

    public AxisInterface[] getAxes(int index,
                                   int count)
                            throws OLAPException

  Get the axes beginning at start index upto count for this resultset

  Specified by:
    `getAxes` in interface `ResultSetMetadataInterface`
  Parameters:
    `index` - start index
    `count` - number of axes
  Returns:
    an array of axis
  Throws:
    `OLAPException` - if a database error occurs

### getTuples

    public TupleInterface[] getTuples(int axisNumber,
                                      int index,
                                      int count)
                               throws OLAPException

  Convenience method to get the tuples for the given axis

  Specified by:
    `getTuples` in interface `ResultSetMetadataInterface`
  Parameters:
    `axisNumber` - tuples for the given axis number
    `index` - start index
    `count` - number of tuples
  Returns:
    tuples array
  Throws:
    `OLAPException` - if a database error occurs

### getElements

    public TupleElementInterface[] getElements(int axisNumber,
                                               int tupleCoordinate,
                                               int index,
                                               int count)
                                        throws OLAPException

  Convenience method to get the tuple elements for a tuplecoordinate on an axis

  Specified by:
    `getElements` in interface `ResultSetMetadataInterface`
  Parameters:
    `axisNumber` - axis index
    `tupleCoordinate` - index of tuple on the axis
    `index` - start index of element
    `count` - number of elements
  Returns:
    An array of tuple elements The length of this array should not be greater than the tuple depth for the axis associated with this tuple. The labels associated with the same dimension are ordered from least to most specific. For example, [North America, USA, North Carolina, Cary].
  Throws:
    `OLAPException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.